Ruby - Bug #13193

[DOC] Revise docs for Date and DateTime
02/05/2017 09:51 AM - stomar (Marcus Stollsteimer)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.4.0p0 (2016-12-24 revision Backport: 2.2: DONE, 2.3: REQUIRED, 2.4: DONE

57164) [i686-linux]

Description

ext/date/date_core.c: [DOC] revise docs for Date and DateTime

* fix malformed rdoc for Date#today, Date._strptime,
and DateTime._strptime

* add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value

* use Date::ITALY in call-seq instead of only ITALY

* fix some copy/paste mistakes where Date should be DateTime

* fix various errors and grammar

* fix cross references and formatting

Associated revisions

Revision bcad5a51d76c1f32cff18f2d0ec553aecd523198 - 02/06/2017 07:34 AM - nobu (Nobuyoshi Nakada)

date_core.c: [DOC] revise docs [ci skip]

e fix malformed rdoc for Date#today, Date._strptime,
and DateTime._strptime
¢ add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value
use Date:ITALY in call-seq instead of only ITALY
fix some copy/paste mistakes where Date should be DateTime
fix various errors and grammar
fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author:  Marcus Stollsteimer sto.mar@web.de

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57549 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bcad5a51 - 02/06/2017 07:34 AM - nobu (Nobuyoshi Nakada)

date_core.c: [DOC] revise docs [ci skip]

o fix malformed rdoc for Date#today, Date._strptime,
and DateTime._strptime
e add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value
use Date:ITALY in call-seq instead of only ITALY
fix some copy/paste mistakes where Date should be DateTime
fix various errors and grammar
fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author:  Marcus Stollsteimer sto.mar@web.de

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57549 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 221831666a4d859b0db198202876c583fa78c5fd - 03/12/2017 08:04 AM - naruse (Yui NARUSE)
merge revision(s) 57549: [Backport #13193]

date_core.c: [DOC] revise docs [ci skip]

* fix malformed rdoc for Date#today, Date._strptime,

07/17/2025

1/4



mailto:sto.mar@web.de
mailto:sto.mar@web.de

and DateTime._strptime
* add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value
* use Date::ITALY in call-seq instead of only ITALY
* fix some copy/paste mistakes where Date should be DateTime
* fix various errors and grammar
* fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author: Marcus Stollsteimer <sto.mar@web.de>

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57904 b2dd03c8-39d4-4d8f-98ff-823fe690080e

Revision 22183166 - 03/12/2017 08:04 AM - naruse (Yui NARUSE)
merge revision(s) 57549: [Backport #13193]

date_core.c: [DOC] revise docs [ci skip]

* fix malformed rdoc for Date#today, Date._strptime,

and DateTime._strptime
* add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value
use Date::ITALY in call-seq instead of only ITALY
fix some copy/paste mistakes where Date should be DateTime

*

* %

fix various errors and grammar

*

fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author: Marcus Stollsteimer <sto.mar@web.de>

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57904 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3358185367fa0b5fd8fcabcf2d3f70aef828f0cf - 03/25/2017 04:48 PM - U.Nakamura
merge revision(s) 57549: [Backport #13193]

date_core.c: [DOC] revise docs [ci skip]

* fix malformed rdoc for Date#today, Date._strptime,
and DateTime._strptime

* add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value

* use Date::ITALY in call-seq instead of only ITALY

* fix some copy/paste mistakes where Date should be DateTime

* fix various errors and grammar

* fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author: Marcus Stollsteimer <sto.mar@web.de>

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_ 2@58101 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 33581853 - 03/25/2017 04:48 PM - U.Nakamura
merge revision(s) 57549: [Backport #13193]

date_core.c: [DOC] revise docs [ci skip]

* fix malformed rdoc for Date#today, Date._strptime,
and DateTime._strptime

* add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value

* use Date::ITALY in call-seq instead of only ITALY

* fix some copy/paste mistakes where Date should be DateTime

* fix various errors and grammar

* fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author: Marcus Stollsteimer <sto.mar@web.de>

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58101 b2dd03c8-39d4-4d8f-98ff-823fe690080e

History
#1 - 02/06/2017 02:44 AM - nobu (Nobuyoshi Nakada)

Thank you for the great contribution.
Just curious what differs in examples of Jan 30 and Jan 31.

+ * Date.new (2001,1,30) >> 1 #=> #<Date: 2001-02-28 ...>
ar % Date.new(2001,1,31) >> 1 #=> #<Date: 2001-02-28 ...>

#2 - 02/06/2017 02:48 AM - nobu (Nobuyoshi Nakada)

To "demonstrate that different dates can result in the same return value", isn't Date.new(2001,1,28) better?

#3 - 02/06/2017 07:34 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Applied in changeset r57549.

date_core.c: [DOC] revise docs [ci skip]

e fix malformed rdoc for Date#today, Date._strptime,
and DateTime._strptime
¢ add code examples for Date#<< and Date#>> to demonstrate
that different dates can result in the same return value
use Date:ITALY in call-seq instead of only ITALY
fix some copy/paste mistakes where Date should be DateTime
fix various errors and grammar
fix cross references and formatting

[ruby-core:79433] [Bug #13193]
Author:  Marcus Stollsteimer sto.mar@web.de

#4 - 02/06/2017 09:05 PM - stomar (Marcus Stollsteimer)

Nobuyoshi Nakada wrote:
To "demonstrate that different dates can result in the same return value", isn't Date.new(2001,1,28) better?
Agreed.
Maybe there even should be an extra paragraph that explicitly points this out.
And maybe also the following, possibly surprising sort of behavior should be mentioned:
require "date"
date = Date.new(2001,1,31)
12.times { date >>= 1 }
date.to_s # => "2002-01-28"
date = Date.new(2001,1,31)
date >>= 12
date.to_s # => "2002-01-31"
Should | prepare a patch?
#5 - 02/06/2017 09:10 PM - stomar (Marcus Stollsteimer)

A shorter version:

Date.new (2001,1,31) >> 2 # => #<Date: 2001-03-31 ...
Date.new (2001,1,31) >> 1 >> 1 # => #<Date: 2001-03-28 ...>

Update: See #13225.

#6 - 03/12/2017 08:06 AM - naruse (Yui NARUSE)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE

ruby_2 4 r57904 merged revision(s) 57549.

#7 - 03/13/2017 02:43 AM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE

#8 - 03/25/2017 04:48 PM - usa (Usaku NAKAMURA)
- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE to 2.2: DONE, 2.3: REQUIRED, 2.4: DONE

ruby_2_2 r58101 merged revision(s) 57549.

Files

doc_date_datetime.patch 34.1 KB 02/05/2017 stomar (Marcus Stollsteimer)
